package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class GoblinMixCheckVo implements Serializable, Cloneable {
    @ApiModelProperty(value = "名单id")
    private Integer status;
    @ApiModelProperty(value = "优先购名称")
    private String mixId;

    private static final GoblinMixCheckVo obj = new GoblinMixCheckVo();

    public static GoblinMixCheckVo getNew() {
        try {
            return (GoblinMixCheckVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new GoblinMixCheckVo();
    }
}
